org.apache.fop.render.intermediate

## Class IFContentHandler

- java.lang.Object
- - org.apache.fop.render.intermediate.IFContentHandler

- All Implemented Interfaces:
    org.xml.sax.ContentHandler

      public class IFContentHandler
      extends java.lang.Object
      implements org.xml.sax.ContentHandler

  intermediate format content handler

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `IFContentHandler()`

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `void` | `characters(char[] arg0, int arg1, int arg2)`
    `void` | `endDocument()`
    `void` | `endElement(java.lang.String arg0, java.lang.String arg1, java.lang.String arg2)`
    `void` | `endPrefixMapping(java.lang.String arg0)`
    `void` | `ignorableWhitespace(char[] arg0, int arg1, int arg2)`
    `void` | `processingInstruction(java.lang.String arg0, java.lang.String arg1)`
    `void` | `setDocumentLocator(org.xml.sax.Locator arg0)`
    `void` | `skippedEntity(java.lang.String arg0)`
    `void` | `startDocument()`
    `void` | `startElement(java.lang.String arg0, java.lang.String arg1, java.lang.String arg2, org.xml.sax.Attributes arg3)`
    `void` | `startPrefixMapping(java.lang.String arg0, java.lang.String arg1)`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### IFContentHandler

          public IFContentHandler()

  - ### Method Detail

    - #### characters

          public void characters(char[] arg0,
                                 int arg1,
                                 int arg2)
                          throws org.xml.sax.SAXException

      Specified by:
        `characters` in interface `org.xml.sax.ContentHandler`
      Throws:
        `org.xml.sax.SAXException`

    - #### endDocument

          public void endDocument()
                           throws org.xml.sax.SAXException

      Specified by:
        `endDocument` in interface `org.xml.sax.ContentHandler`
      Throws:
        `org.xml.sax.SAXException`

    - #### endElement

          public void endElement(java.lang.String arg0,
                                 java.lang.String arg1,
                                 java.lang.String arg2)
                          throws org.xml.sax.SAXException

      Specified by:
        `endElement` in interface `org.xml.sax.ContentHandler`
      Throws:
        `org.xml.sax.SAXException`

    - #### endPrefixMapping

          public void endPrefixMapping(java.lang.String arg0)
                                throws org.xml.sax.SAXException

      Specified by:
        `endPrefixMapping` in interface `org.xml.sax.ContentHandler`
      Throws:
        `org.xml.sax.SAXException`

    - #### ignorableWhitespace

          public void ignorableWhitespace(char[] arg0,
                                          int arg1,
                                          int arg2)
                                   throws org.xml.sax.SAXException

      Specified by:
        `ignorableWhitespace` in interface `org.xml.sax.ContentHandler`
      Throws:
        `org.xml.sax.SAXException`

    - #### processingInstruction

          public void processingInstruction(java.lang.String arg0,
                                            java.lang.String arg1)
                                     throws org.xml.sax.SAXException

      Specified by:
        `processingInstruction` in interface `org.xml.sax.ContentHandler`
      Throws:
        `org.xml.sax.SAXException`

    - #### setDocumentLocator

          public void setDocumentLocator(org.xml.sax.Locator arg0)

      Specified by:
        `setDocumentLocator` in interface `org.xml.sax.ContentHandler`

    - #### skippedEntity

          public void skippedEntity(java.lang.String arg0)
                             throws org.xml.sax.SAXException

      Specified by:
        `skippedEntity` in interface `org.xml.sax.ContentHandler`
      Throws:
        `org.xml.sax.SAXException`

    - #### startDocument

          public void startDocument()
                             throws org.xml.sax.SAXException

      Specified by:
        `startDocument` in interface `org.xml.sax.ContentHandler`
      Throws:
        `org.xml.sax.SAXException`

    - #### startElement

          public void startElement(java.lang.String arg0,
                                   java.lang.String arg1,
                                   java.lang.String arg2,
                                   org.xml.sax.Attributes arg3)
                            throws org.xml.sax.SAXException

      Specified by:
        `startElement` in interface `org.xml.sax.ContentHandler`
      Throws:
        `org.xml.sax.SAXException`

    - #### startPrefixMapping

          public void startPrefixMapping(java.lang.String arg0,
                                         java.lang.String arg1)
                                  throws org.xml.sax.SAXException

      Specified by:
        `startPrefixMapping` in interface `org.xml.sax.ContentHandler`
      Throws:
        `org.xml.sax.SAXException`

Copyright 1999-2021 The Apache Software Foundation. All Rights Reserved.